{# Used to display one server in the server selection page #}

{% trans_default_domain 'OutGame' %}

{% set worldId = world.id %}

{# TODO Implement private world #}
{% set isPrivateWorld = false %}
{% set isOwnerOfPrivateWorld = true %}
{% set groupName = "Group Name" %}

{% set difficulty = "beginner" %}

{# Débutant: unit_sold, Moyenne: unit_pal, Pro: unit_bal #}
{% set difficultyIcon = 'img/help.gif' %}
{% if difficulty == "beginner" %}
    {% set difficultyIcon = 'img/icons/small/u_soldier.gif' %}
{% elseif difficulty == "regular" %}
    {% set difficultyIcon = 'img/icons/small/u_archer.gif' %}
{% elseif difficulty == "medium" %}
    {% set difficultyIcon = 'img/icons/small/u_ballista.gif' %}
{% elseif difficulty == "hard" %}
    {% set difficultyIcon = 'img/icons/small/u_paladin.gif' %}
{% endif %}

{% set language = world.language %}
{% set languageIcon = 'img/help.gif' %}
{% if language == "french" %}
    {% set languageIcon = asset('img/flags/fr.png') %}
{% elseif language == "english" %}
    {% set languageIcon = asset('img/flags/en.png') %}
{% elseif language == "spanish" %}
    {% set languageIcon = asset('img/flags/es.png') %}
{% elseif language == "german" %}
    {% set languageIcon = asset('img/flags/de.png') %}
{% endif %}

{% set speed = world.speed %}
{% set speedName = world.speedName %}

<tr>
    <td>
        {{ 'serverSelection.worldOf' | trans }} <a href="{{ path('app_map_map', {worldId: worldId}) }}">{{ world.name }}</a>
        {% if isPrivateWorld %}
            <p><b>({{ groupName }})</b></p>
        {% endif %}
    </td>
    <td>
        <strong>{{ world.lordsCount }} / {{ world.maxPlayersCount }} {{ 'serverSelection.players' | trans }}</strong>
        <img src="{{ languageIcon }}" alt="Language {{ language }}"
             onmouseover="showHintMsg(this,'{{ 'serverSelection.language.warning' | trans( { '%language%' : ('serverSelection.language.' ~ language|lower) | trans } ) }}')"
             onmouseout="hideHint()">
        {# <img src="{{ asset(difficultyIcon) }}" alt="Difficulty {{ difficulty }}"
             onmouseover="showHintMsg{this, { 'serverSelection.difficulty.title' | trans }} : {{ ('serverSelection.difficulty.'~ difficulty) | trans }}')"
             onmouseout="hideHint()">
        #}
        <img src="{{ asset('img/help.gif') }}" alt="Speed {{ speed }}"
             onmouseover="showHint(this, '{{ 'serverSelection.speed.title' | trans }}', '{{ ('serverSelection.speed.' ~ speedName ) | trans }}')"
             onmouseout="hideHint()">
    </td>
    <td>
        {% if not isInGame %}
        <a href="{{ path('app_outgame_joingame', {worldId: worldId}) }}" class="button" onclick="return confirm('{{ 'messages.confirmAction' | trans([], "Common") }}')">{{ 'serverSelection.button.join' | trans }}</a>
        {% endif %}
    </td>
    <td>
        {# TODO Change url to specify the worldID to inspect: Be able to inspect a world in order to see current state of the game #}
        <a href="{{ path('app_map_map', {worldId: worldId}) }}">{{ 'serverSelection.button.world' | trans }}</a>
        <a href="{{ path('app_map_ranks', {worldId: worldId}) }}">{{ 'messages.leaderboard' | trans([], "Common") }}</a>

        {% if isPrivateWorld and isOwnerOfPrivateWorld %}
            {# TODO Create a new action that permits to modify the rules for custom servers!!! #}
            <a href="{{ path('app_map_modify', {worldId: worldId}) }}">{{ 'serverSelection.button.modifyRules' | trans }}</a>
        {% endif %}
    </td>
</tr>